// Aufg21.h

// Klasse Flaeche
class Flaeche {
	public:
		Flaeche(char *n);
		virtual ~Flaeche();
		void getFarbe() const;
		virtual float berechneFlaeche() const=0;
		virtual float berechneUmfang() const=0;
	private:
		char farbe[11];
};
// Klasse Kreis
class Kreis : public virtual Flaeche {
	public:
		Kreis(char *n, float a);
		~Kreis();
		float berechneFlaeche() const;
		float berechneUmfang() const;
	private:
		float radius;
};
//Klasse Ring
class Ring : public Kreis {
	public:
		Ring(char *n, float aussen, float innen);
		~Ring();
		float berechneFlaeche() const;
	private:
		float innenradius;
};
//Klasse Rechteck
class Rechteck : public virtual Flaeche {
	public:
		Rechteck(char *n, float a, float b);
		~Rechteck();
		float berechneFlaeche() const;
		float berechneUmfang() const;
	private:
		float laenge;
		float breite;
};
// Klasse Schablone
class Schablone : public Kreis, public Rechteck {
	public:
		Schablone(char *n, float a, float b, float c);
		~Schablone();
		float berechneFlaeche() const;
		float berechneUmfang() const;
};
// Klasse Quadrat
class Quadrat : public Rechteck {
	public:
		Quadrat(char *n, float a);
		~Quadrat();
};