// bspl0082.cpp
#include <cstdio>
#include <cstring>
#include <cstdlib>
#include <cerrno>	// fr Errorcodes

void errortest (FILE *, const char *, bool);	// Prototyp	

FILE * stream;
char string[] = "Test";

void errortest (FILE *stream, const char* msg, bool fterm){
	if ( (stream==nullptr) || (ferror(stream)) ) {
		perror (msg);
		printf("%s: %s\n", msg, strerror(errno));
		if (fterm)
			exit(errno);
		else
			clearerr(stream);
	}
}
	
int main( int argc, char * argv[]){
	stream = fopen(argv[1],"r");
	errortest(stream,"Fehler beim Oeffnen",true);
	fprintf(stream, "%s\n", string);
	errortest(stream,"Fehler beim Schreiben",false);
	return 0;
}
