// test8485v.cpp
#include <iostream>
using namespace std;
#include "bspl0085.h"
#include "bspl0084.h"

void funktion1() {
	try {
		Test t;
		cout<< "Start funktion1. "
				"Exception 'Error' folgt." << endl;
		throw Error("Fehler in funktion1.");
	}
	catch (Error e) {
		cout << "Start catch-Block in funktion1." << endl;
		cout << "Fehler in funktion1." << endl;
		throw;
	}
}

int main() {
	cout << "Programmstart." << endl;
	try {
		cout << "Start try-Block, 'funktion1'"
					" wird gerufen." << endl;
		funktion1();
	}
	catch( Error e ) {
		cout << "Start catch-Block fuer "
					"'Error'-Objekte." << endl;
		cout << e.showMsg() << endl;
	}
	catch( char *str ) {
		cout << "Start catch-Block fr "
					"Zeichenketten: " << str << endl;
	}
	cout << "Wieder in 'main'. Programm "
				"wird beendet." << endl;
	return 0;
}
