// Aufg21.cpp
#include <iostream>
#include <cstring>
using namespace std;
#include "Aufg21.h"
// Klasse Flaeche
Flaeche::Flaeche(char *n) {
	strncpy(farbe,n,10);
}

Flaeche::~Flaeche() {
}

void Flaeche::getFarbe() const {
	cout << "\n" << farbe;
}
// Klasse Kreis
Kreis::Kreis(char *n, float a) : Flaeche(n) {
	radius=a;
}

Kreis::~Kreis() {
}

float Kreis::berechneFlaeche() const {
	return radius*radius*3.141593F;
}

float Kreis::berechneUmfang() const {
	return radius*2*3.141593F;
}
//Klasse Ring
Ring::Ring(char *n, float aussen, float innen) : 
          Flaeche(n),Kreis(n, aussen) {
	innenradius=innen;
}

Ring::~Ring() {
}

float Ring::berechneFlaeche() const {
	return (Kreis::berechneFlaeche()
			-(innenradius*innenradius*3.141593F));
}
// Klasse Rechteck
Rechteck::Rechteck(char *n, float a, float b)
			 : Flaeche(n) {
	laenge=a;
	breite=b;
}

Rechteck::~Rechteck() {
}

float Rechteck::berechneFlaeche() const {
	return laenge*breite;
}

float Rechteck::berechneUmfang() const {
	return (laenge+breite)*2;
}
// Klasse Schablone
Schablone::Schablone(char *n, float a, float b, float c) 
			: Flaeche(n), Kreis(n,a),
				Rechteck("LEER",b,c) {
}

Schablone::~Schablone() {
}

float Schablone::berechneFlaeche() const {
	return(Kreis::berechneFlaeche()
				-Rechteck::berechneFlaeche());
}

float Schablone::berechneUmfang() const {
	return(Kreis::berechneUmfang());
}
// Klasse Quadrat
Quadrat::Quadrat(char *n, float a) 
			: Rechteck(n, a, a), Flaeche(n) {
}

Quadrat::~Quadrat() {
}